FlxpointAPI Help CenterBeta

Get Workflow Mapping Rules

gethttps://api.flxpoint.com/workflow/mapping-rule

Use this when you want to pull workflow data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Request

Query parameters
  • includeWorkflowRulesqueryboolean

    When set to `false` the `rules` property that contains the workflow rules will not be populated and will be `null`. This can be used to keep the request light if you just a need a list of mapping rules.

  • idsquerystring

    A comma seperated list of `MappingRule` IDs to fetch

  • fetchAllqueryboolean

    When set to `true` anything passed in `ids` will be ignored and all configured mapping rules will be returned

Example request

get/workflow/mapping-rule
curl -X GET "https://api.flxpoint.com/workflow/mapping-rule" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[object]
idintegerrequired
Generated on your behalf when first creating a mapping rule.
namestring
descriptionstring
createdAtstring (date-time)
updatedAtstring (date-time)
eventIdintegerrequired
The ID of the event this mapping rule is run within. Important as this dictates what `GlobalObjects` & `GlobalObjectFields` are allowed to be saved to the rule.
useOriginalInputValuebooleanrequired
Whether the rules contain within this mapping rules should start their operations on the result of previous rules or on the basis of the original value provided by the mapping template
globalObjectFieldIdinteger
The ID of the `GlobalObjectField` that this rule assigns to.
globalDataTypeIdintegerrequired
The ID of the `GlobalDataType` that this rule runs against.
workflowRuleTypeIdinteger
The ID of the `WorkflowRuleType` for this rule. This value will always match the same property on the workflow rule (`rule` property)
configuredboolean
Whether or not the workflow rule (`rule` property) is configured correctly and can be used in mapping templates.
globalDataTypeobject
idintegerrequired
namestringrequired
handlestringrequired
allowedstringnumberbooleannumeric_optionscustom_actionarrayinheriteddateattributesstring_optionscustom_fieldscategory_copycustom_aggregate_fieldsimagesvariant_optionstagsbuilder_actioncategory_in_list
ruleobjectrequired
idinteger
Generated on your behalf when first creating a rule.
namestringrequired
createdAtstring (date-time)
rankinteger
The order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequired
The ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequired
When set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default false
configuredboolean
Whether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]required
idinteger
Generated on your behalf when first creating a rule group.
rankinteger
The order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]required
idinteger
Generated on your behalf when first creating a condition.
rankinteger
The order/rank in which conditions are run
globalObjectFieldIdinteger
The ID of the `GlobalObjectField` that provides the data this rule runs against.
workflowDataTypeComparatorIdinteger
The ID of the `WorkflowDataTypeComparator` this rule uses as a basis to perform a condition with.
conditionstring
For most standard rules the primary data condition that is used in conjunction with the comparator will be stored here.
condition2string
condition3string
condition4string
fieldArrayMustMatchAllboolean
When the field this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all fields in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the fields in the list must be truthy to have the condition pass.
default false
conditionArrayMustMatchAllboolean
When the data this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all data in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the datums in the list must be truthy to have the condition pass.
default false
preModifierDataTypeComparatorIdinteger
metaDatastring
This is a JSON encoded string that is used to provide & store context relating to rules that do not fit within the bounds of standard rules.
childConditionsarray[WorkflowRuleGroupCondition]
workflowDataTypeComparatorWorkflowDataTypeComparator
preModifierDataTypeComparatorWorkflowDataTypeComparator
actionsarray[WorkflowRuleAction]required
idinteger
Generated on your behalf when first creating a action.
globalObjectFieldIdintegerrequired
The ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequired
The ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestring
If the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2string
value3string
value4string
rankinteger
The order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionobject
idintegerrequired
namestringrequired
handlestringrequired
allowedaddadd_fieldall_po_line_items_custom_fields_to_textappend_as_sentenceapply_custom_actionattribute_addattribute_modifyattribute_removeattributes_to_htmlcapitalize_each_wordcustom_aggregate_field_addcustom_aggregate_field_modifycustom_aggregate_field_removecustom_field_addcustom_field_modifycustom_field_removedecode_htmldivide_bydivide_by_fieldleft_padlowercasemultiplymultiply_by_fieldoption_setpercent_changepo_custom_fields_to_textpostfixpostfix_with_fieldprefixprefix_with_fieldreplacereplace_case_sensitivereplace_character_at_indexreplace_character_occurrenceright_padsentence_casesetset_decimalset_to_emptyset_to_fieldsplit_by_valuesubstringsubtractsubtract_fieldtrimuppercasevariant_option_addvariant_option_modifyvariant_option_removeset_ones_place_value_tomapping_set
hideInputboolean
usesOtherFieldbooleanrequired
formulabooleanrequired
globalDataTypeIdinteger
formulaCanRunAgainstGlobalObjectIdsarray[integer]
If `formula=true` then this will be a list of `GlobalObject.id` that the formula can be applied against.
globalDataTypeFilterIdsarray[integer]
Certain `GlobalObjectField`'s such as ones for quantities may wish to further restrict what types of actions they are allowed to run against. Actions that support this type of additional filtering will have the IDs of the filter types set here. The IDs in this array will correspond to the `GlobalObjectField.globalDataTypeFilterId` field.
metaDatastring
If non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestring
When using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowedallfilteredcorrelated
applyToMatchedOnlyboolean
When true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]
idinteger
Generated on your behalf when first creating a action.
globalObjectFieldIdintegerrequired
The ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequired
The ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestring
If the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2string
value3string
value4string
rankinteger
The order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeAction
metaDatastring
If non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestring
When using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowedallfilteredcorrelated
applyToMatchedOnlyboolean
When true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]
headerNamestring
headerNamestring
childRulesarray[WorkflowRule]
idinteger
Generated on your behalf when first creating a rule.
namestringrequired
createdAtstring (date-time)
rankinteger
The order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequired
The ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequired
When set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default false
configuredboolean
Whether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]required
idinteger
Generated on your behalf when first creating a rule group.
rankinteger
The order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]required
actionsarray[WorkflowRuleAction]required
idinteger
Generated on your behalf when first creating a action.
globalObjectFieldIdintegerrequired
The ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequired
The ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestring
If the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2string
value3string
value4string
rankinteger
The order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeAction
metaDatastring
If non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestring
When using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowedallfilteredcorrelated
applyToMatchedOnlyboolean
When true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]
headerNamestring
childRulesarray[WorkflowRule]
idinteger
Generated on your behalf when first creating a rule.
namestringrequired
createdAtstring (date-time)
rankinteger
The order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequired
The ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequired
When set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default false
configuredboolean
Whether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]required
actionsarray[WorkflowRuleAction]required
childRulesarray[WorkflowRule]
workflowRuleTypeWorkflowRuleType
enabledboolean
identifies whether the workflow rule is enabled
tierDatastring
Stores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobject
idintegerrequired
handlestringrequired
allowedconditionaltier
namestringrequired
enabledboolean
identifies whether the workflow rule is enabled
tierDatastring
Stores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobject
idintegerrequired
handlestringrequired
allowedconditionaltier
namestringrequired
enabledboolean
identifies whether the workflow rule is enabled
tierDatastring
Stores data needed to run new style tier rules set from enterprise accounts
fieldsUsedBySetToFieldarray[any]required
fieldsUsedByFormulasarray[any]required
Example response
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "createdAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "eventId": 0,
    "useOriginalInputValue": true,
    "globalObjectFieldId": 0,
    "globalDataTypeId": 0,
    "workflowRuleTypeId": 0,
    "configured": true,
    "globalDataType": {
      "id": 0,
      "name": "string",
      "handle": "string"
    },
    "rule": {
      "id": 0,
      "name": "string",
      "createdAt": "2026-04-20T00:00:00Z",
      "rank": 0,
      "workflowRuleTypeId": 0,
      "alwaysRun": true,
      "configured": true,
      "groups": [
        {
          "id": null,
          "rank": null,
          "conditions": null
        }
      ],
      "actions": [
        {
          "id": null,
          "globalObjectFieldId": null,
          "workflowDataTypeActionId": null,
          "value": null,
          "value2": null,
          "value3": null,
          "value4": null,
          "rank": null,
          "workflowDataTypeAction": null,
          "metaData": null,
          "usesOtherFieldScope": null,
          "applyToMatchedOnly": null,
          "childActions": null,
          "headerName": null
        }
      ],
      "childRules": [
        {
          "id": null,
          "name": null,
          "createdAt": null,
          "rank": null,
          "workflowRuleTypeId": null,
          "alwaysRun": null,
          "configured": null,
          "groups": null,
          "actions": null,
          "childRules": null,
          "workflowRuleType": null,
          "enabled": null,
          "tierData": null
        }
      ],
      "workflowRuleType": {
        "id": 0,
        "handle": "conditional",
        "name": "string"
      },
      "enabled": true,
      "tierData": "string"
    },
    "fieldsUsedBySetToField": [
      null
    ],
    "fieldsUsedByFormulas": [
      null
    ]
  }
]
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Workflow Mapping Rules",
    "parameters": [
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeWorkflowRules",
        "description": "When set to `false` the `rules` property that contains the workflow rules will not be populated and will be `null`. This can be used to keep the request light if you just a need a list of mapping rules."
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "ids",
        "description": "A comma seperated list of `MappingRule` IDs to fetch"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "fetchAll",
        "description": "When set to `true` anything passed in `ids` will be ignored and all configured mapping rules will be returned"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/MappingRule"
              }
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight